de.dhbwstuttgart.myexception

## Class SCException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.dhbwstuttgart.myexception.SCException

- All Implemented Interfaces:
    java.io.Serializable

      public class SCException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Logger` | `parserlog`
    `private Menge<SCClassException>` | `scerrors`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCException()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add_classexceptions(SCClassException ex)`
    `void` | `fehlerausgabe()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### scerrors

          private Menge<SCClassException> scerrors

    - #### parserlog

          protected static Logger parserlog

  - ### Constructor Detail

    - #### SCException

          public SCException()

  - ### Method Detail

    - #### add_classexceptions

          public void add_classexceptions(SCClassException ex)

    - #### fehlerausgabe

          public void fehlerausgabe()